Subject: [netext] Liaison Statement on Flow Mobility to 3GPP

From: Rajeev Koodli <[email-masked]>
Date: Mon, 19 Apr 2010 12:31:46 -0700

FYI..Jari and the chairs are planning to send the following LS to 3GPP
informing them of NetExt¹s work on Flow Mobility.
Please provide comments, if any..

Thanks,

-Rajeev
....................................

April 14, 2010
 
To: 3GPP SA2
                  Chairman: Balazs Bertenyi
                  Vice chairman: Andy Bennett
                  Vice chairman: Hong Liu
 
Subject:  Flow mobility feature being specified for Proxy Mobile IPv6
(RFC5213) in the NetExt WG
 
Dear Balazs, Andy and, Hong,

We would like to inform you about the work being done on extending Proxy
Mobile IPv6 (RFC5213) to support flow mobility within the NetExt WG in the
IETF. The NetExt WG charter was revised and approved in February 2010 with
the following new goal and milestone:

1.    Initial WG document(s) on Proxy Mobile IPv6 Extensions to Support Flow
Mobility and Inter-access Handovers on a Logical Interface over Multiple
Physical Interfaces  Oct 2010

Please consider this as an informative update for SA2 on the developments in
NetExt WG in the IETF.

Best Regards,

IETF NetExt WG chairs                      IETF Internet area director
Rajeev Koodli                                     Jari Arkko
Basavaraj Patil

---

From: Hidetoshi Yokota <[email-masked]>
Date: Tue, 20 Apr 2010 10:04:07 +0900

Hi Rajeev,

I think this is a great step for this work. I don't have any comment on 
the LS, but have one naive question. What can 3GPP folks expect from 
this prospective WG document (e.g., some part of TR23.861) because we 
haven't well explored and discussed the solution space, yet?

Regards,
-- 
Hidetoshi

(2010/04/20 4:31), Rajeev Koodli wrote:
> informing them of NetExt’s work on Flow Mobility.
> *Subject: Flow mobility feature being specified for Proxy Mobile IPv6
> *
> Mobile IPv6 (RFC5213) to support flow mobility within the NetExt WG in
> the IETF. The NetExt WG charter was revised and approved in February
> 2010 with the following new goal and milestone:
>
> 1. Initial WG document(s) on Proxy Mobile IPv6 Extensions to Support
> Flow Mobility and Inter-access Handovers on a Logical Interface over
> Multiple Physical Interfaces – Oct 2010
>
> Please consider this as an informative update for SA2 on the
> developments in NetExt WG in the IETF.
>
> Best Regards,
>
> _______________________________________________
> netext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netext

---

From: Rajeev Koodli <[email-masked]>
Date: Mon, 19 Apr 2010 18:53:23 -0700

Hello Yokota-san,

I think 3GPP folks would know that a protocol specification from IETF would
be available for their own work (TR or future TS).

Regards,

-Rajeev

> Hi Rajeev,

I think this is a great step for this work. I don't have any
> comment on 
the LS, but have one naive question. What can 3GPP folks expect
> from 

Regards,
--
Hidetoshi

(2010/04/20 4:31),

> Rajeev Koodli wrote:
>
> FYI..Jari and the
> chairs are planning to send the following LS to 3GPP
> informing them of
> April 14,
> 2010
> 1.
> Initial WG document(s) on Proxy Mobile IPv6 Extensions to Support
> Flow
> Best
> Rajeev Koodli
> Jari Arkko

________________________________
> _______________
netext mailing
> list
[email-masked]

---

From: <[email-masked]>
Date: Tue, 20 Apr 2010 09:50:19 +0200

Hi,

I agree, this LS is a very good initiative. I guess Netext should take into account 3GPP requirements, if any. Right?

Regards,
Pierrick

> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]] De la part
> de Rajeev Koodli
> Envoyé : mardi 20 avril 2010 03:53
> À : Hidetoshi Yokota; [email-masked]
> Objet : Re: [netext] Liaison Statement on Flow Mobility to 3GPP
> 
> 
> Hello Yokota-san,
>

---

From: "Laganier, Julien" <[email-masked]>
Date: Tue, 20 Apr 2010 07:00:03 -0700

Hello Rajeev,
I am unfamiliar with an IETF WG spontaneously generating a Liaison Statements to another organization -- Given that a contribution S2-101433 (link below) from Cisco and Intel was discussed at the last physical 3GPP SA2 WG meeting in San Francisco and already outlined in a much detailed fashion that the IETF NETEXT WG was rechartered to work on PMIPv6 flow mobility, I am wondering what would be the intended outcome of sending such an LS.
<ftp://ftp.3gpp.org/tsg_sa/WG2_Arch/TSGS2_78_San_Francisco/Docs/S2-101433.zip>
--julien

From: [email-masked] [mailto:[email-masked]] On Behalf Of Rajeev Koodli
Sent: Monday, April 19, 2010 12:32 PM
To: [email-masked]
Subject: [netext] Liaison Statement on Flow Mobility to 3GPP

FYI..Jari and the chairs are planning to send the following LS to 3GPP informing them of NetExt's work on Flow Mobility.
Please provide comments, if any..

Thanks,

-Rajeev

April 14, 2010

To: 3GPP SA2

Subject:  Flow mobility feature being specified for Proxy Mobile IPv6 (RFC5213) in the NetExt WG

We would like to inform you about the work being done on extending Proxy Mobile IPv6 (RFC5213) to support flow mobility within the NetExt WG in the IETF. The NetExt WG charter was revised and approved in February 2010 with the following new goal and milestone:

1.    Initial WG document(s) on Proxy Mobile IPv6 Extensions to Support Flow Mobility and Inter-access Handovers on a Logical Interface over Multiple Physical Interfaces - Oct 2010

Please consider this as an informative update for SA2 on the developments in NetExt WG in the IETF.

Best Regards,

---

From: Ahmad Muhanna <[email-masked]>
Date: Tue, 20 Apr 2010 10:38:09 -0400

In addition; Is NOT there a semi-regular conference call with 3GPP to update on the status of IETF documents that is referenced and needed for 3GPP?

I am also wondering as well, what this LS will buy either side?

Regards,
Ahmad
________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Laganier, Julien
Sent: Tuesday, April 20, 2010 9:00 AM
To: Rajeev Koodli; [email-masked]
Subject: Re: [netext] Liaison Statement on Flow Mobility to 3GPP

Hello Rajeev,

Thanks,

-Rajeev

April 14, 2010

To: 3GPP SA2

Best Regards,

---

From: Rajeev Koodli <[email-masked]>
Date: Tue, 20 Apr 2010 12:56:04 -0700

Hi Julien, Ahmad,

this LS is informative. It is making it known (officially from IETF
perspective, if you will) that the NetExt WG is working on Flow Mobility
for PMIP6.

We have heard some arguments in 3GPP that status of this work in
IETF is unclear. This is making it clear and official, that's all.

Regards,

-Rajeev

On 4/20/10 7:38 AM, "Ahmad Muhanna" <[email-masked]> wrote:

> In addition; Is NOT there a semi-regular conference call with 3GPP to update
> on the status of IETF documents that is referenced and needed for 3GPP?
>  
> I am unfamiliar with an IETF WG spontaneously generating a Liaison Statements
> to another organization -- Given that a contribution S2-101433 (link below)
> from Cisco and Intel was discussed at the last physical 3GPP SA2 WG meeting in
> San Francisco and already outlined in a much detailed fashion that the IETF
> NETEXT WG was rechartered to work on PMIPv6 flow mobility, I am wondering what
> would be the intended outcome of sending such an LS.
> IETF. The NetExt WG charter was revised and approved in February 2010 with the
> following new goal and milestone:
>

---

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 21 Apr 2010 07:49:12 -0700

Hi Rajeev,

I am still not sure why we are spontaneously sending an LS to 3GPP...

Rajeev Koodli wrote:
> IETF is unclear. 

Who is we in "we have heard ..."?

Also - how can the status of this work in the IETF be unclear when it is explicitly listed on the NETEXT WG charter?

> This is making it clear and official, that's all.

If 3GPP is wondering what is the official status of this work in IETF, why don't they read the NETEXT charter?

Best,

--julien

---

From: <[email-masked]>
Date: Wed, 21 Apr 2010 18:52:05 +0200

Julien,

There is no harm in sending the LS. It is informative. While SA2 can just as
well read the text of the Netext charter, we do have a channel to provide
such informative updates through liason statements and we are simply using
that. 

-Raj

On 4/21/10 9:49 AM, "ext Laganier, Julien" <[email-masked]> wrote:

> Also - how can the status of this work in the IETF be unclear when it is
> explicitly listed on the NETEXT WG charter?
>

---

From: Ahmad Muhanna <[email-masked]>
Date: Wed, 21 Apr 2010 13:16:53 -0400

Hi Raj,

I think we are setting a precedence here. I am not aware of IETF sending unsolicited LSes; but I could be wrong.

On the other hand, I understand other SDOs sending an LS to IETF requesting IETF to work on a specific topic that of its interest. But, I am not sure if the other direction is a common practice. As we all know: IETF is a public organization and anyone can access the information regarding any workgroup charter free of charge. Any individual in the whole world can become a member of any mailing list and participate in the discussion, etc...

That is NOT the case in other SDOs. I believe if any SDO is interested in any IETF topic should be able to follow the progress of that topic free of charge on the respected WG. If the information is NOT available on IETF website, then IETF probably is not working on it to start with.

Just an idea: May be if 3GPP SA2 is NOT aware of IETF NetExt published charters, they could send an LS to officially inquire about the charter and any specific item progress. What do you think? 

Regards,
Ahmad

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, April 21, 2010 11:52 AM
To: [email-masked]; [email-masked]; Ahmad Muhanna; [email-masked]
Subject: Re: [netext] Liaison Statement on Flow Mobility to 3GPP

Julien,

There is no harm in sending the LS. It is informative. While SA2 can just as well read the text of the Netext charter, we do have a channel to provide such informative updates through liason statements and we are simply using that. 

-Raj

On 4/21/10 9:49 AM, "ext Laganier, Julien" <[email-masked]> wrote:

>> perspective, if you will) that the NetExt WG is working on Flow 
>> Mobility for PMIP6.
>> 
>> We have heard some arguments in 3GPP that status of this work in IETF 
>> is unclear.
> 
> Also - how can the status of this work in the IETF be unclear when it 
> is explicitly listed on the NETEXT WG charter?
>

---

From: <[email-masked]>
Date: Wed, 21 Apr 2010 19:40:30 +0200

Hi Ahmad,

> unsolicited LSes; but I could be wrong.

Sending an LS and that too an informative one is not a big deal. And it not
precedence setting. See for example:
https://datatracker.ietf.org/liaison/878/
https://datatracker.ietf.org/documents/LIAISON/file977.txt

> 
> On the other hand, I understand other SDOs sending an LS to IETF requesting
> IETF to work on a specific topic that of its interest. But, I am not sure if
> the other direction is a common practice. As we all know: IETF is a public
> organization and anyone can access the information regarding any workgroup
> charter free of charge. Any individual in the whole world can become a member
> of any mailing list and participate in the discussion, etc...

Most SDOs are internally focused and I don't expect them to be scanning what
is happening in various WGs in the IETF. Making another SDO aware of some
ongoing work that may be of interest does no harm.

> 
> That is NOT the case in other SDOs. I believe if any SDO is interested in any
> IETF topic should be able to follow the progress of that topic free of charge
> on the respected WG. If the information is NOT available on IETF website, then
> IETF probably is not working on it to start with.

See above comment w.r.t SDO interest vs ability to follow and know what is
going on in a WG. As you are well aware the work on flow mobility is a new
addition to the Netext charter.

> 
> Just an idea: May be if 3GPP SA2 is NOT aware of IETF NetExt published
> charters, they could send an LS to officially inquire about the charter and
> any specific item progress. What do you think?

Why does the request have to come from SA2? And what harm do you see in the
IETF sending an informative LS to 3GPP SA2? I fail to understand why there
is a concern with sending such an LS.

Anyway, I think we have heard at least a couple of opinions about sending
this LS. Will let our AD decide on the action.

-Raj

> well read the text of the Netext charter, we do have a channel to provide such
> informative updates through liason statements and we are simply using that.
> 
> -Raj
> 
>

---

From: "Koodli, Rajeev" <[email-masked]>
Date: Wed, 21 Apr 2010 13:53:12 -0400

Hi Julien,

apparently, they (SA2) have not followed the discussions in NetExt closely - I am not blaming them, I would not be able to follow either.

So, the LS provides a means to inform officially.

Do you have any comments about the content of the LS itself?

Thanks,

-Rajeev

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Wed 4/21/2010 9:52 AM
To: [email-masked]; Koodli, Rajeev; [email-masked]; [email-masked]
Subject: Re: [netext] Liaison Statement on Flow Mobility to 3GPP

Julien,

-Raj

---

From: Rajeev Koodli <[email-masked]>
Date: Wed, 21 Apr 2010 11:06:32 -0700

> ongoing work that may be of interest does no harm.

It is also in NetExt and SA2 interest to officially know about the work
being done in NetExt.

-Rajeev

---

From: Ahmad Muhanna <[email-masked]>
Date: Thu, 22 Apr 2010 03:06:45 -0400

Hello Raj,

So far, we know the following:
1. Out of the blue, an email from the WG chair(s) proposes an informational LS to 3GPP (SA2) without any explanation why and what causes this spontaneous LS to be sent.

2. When I raised the issue why this was NOT addressed as part of the semi-regular IETF-3GPP meeting/CC, there was no answer and it was brushed away.

3. When you guys were questioned on who you refer to when you say "We", there was also another NetExt Chairs style of brushing the question.

4. And NOW, you are telling us that enough is enough, you and your co-chair have heard enough of this and ready to make a decision.

After all, why did you guys have to share this on the mailing list to start with? May be all what you needed to do is just send the LS to 3GPP and no need to include the WG in the discussion [you already TRUST/ACCEPT whoever privately conveyed the information Biased or NOT, it does not seem to matter] and without you answering any of the questions which are as follows:

1. Why this issue was NOT addressed in the semi-regular IETF-3GPP meeting/CC?
2. Who are the individuals that brought this issue to the attention of the WG chairs?
3. Since there was NO official communication from 3GPP SA2 regarding this subject (LS), what was the criteria the WG chair(s) followed on accepting private personal opinions assuming as if they reflect the official concern of 3GPP SA2.
4. If flow mobility is very important to the WG Chairs, why the WG Chairs did not send an LS to other SDOs to keep them informed? Some of these SDOs have adopted PMIP6 as it was being developed.
5. Once again, if this issue is so critical and important to 3GPP SA2, why those folks who have been active behind the seen to bring this LS to light did NOT influence SA2 to request the information to start with?

Finally, I am not against PMIP6 addressing flow mobility and advertising that to the whole world; [may be we can have a commercial about it:)] but I am against the way things is conducted in the WG from day ONE! May be it is time for things to be addressed and discussed fairly and on the clear! It is obvious that both Chairs have favorable views for sending the LS BUT you should NOT run the discussion in a biased way favoring your views.

Cheers!

Regards,
Ahmad
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, April 21, 2010 12:41 PM
To: Ahmad Muhanna; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [netext] Liaison Statement on Flow Mobility to 3GPP

Hi Ahmad,

On 4/21/10 12:16 PM, "ext Ahmad Muhanna" <[email-masked]> wrote:

> Hi Raj,
> 
> I think we are setting a precedence here. I am not aware of IETF 
> sending unsolicited LSes; but I could be wrong.

Sending an LS and that too an informative one is not a big deal. And it not precedence setting. See for example:
https://datatracker.ietf.org/liaison/878/
https://datatracker.ietf.org/documents/LIAISON/file977.txt

> 
> On the other hand, I understand other SDOs sending an LS to IETF 
> requesting IETF to work on a specific topic that of its interest. But, 
> I am not sure if the other direction is a common practice. As we all 
> know: IETF is a public organization and anyone can access the 
> information regarding any workgroup charter free of charge. Any 
> individual in the whole world can become a member of any mailing list and participate in the discussion, etc...

Most SDOs are internally focused and I don't expect them to be scanning what is happening in various WGs in the IETF. Making another SDO aware of some ongoing work that may be of interest does no harm.

> 
> That is NOT the case in other SDOs. I believe if any SDO is interested 
> in any IETF topic should be able to follow the progress of that topic 
> free of charge on the respected WG. If the information is NOT 
> available on IETF website, then IETF probably is not working on it to start with.

See above comment w.r.t SDO interest vs ability to follow and know what is going on in a WG. As you are well aware the work on flow mobility is a new addition to the Netext charter.

> charters, they could send an LS to officially inquire about the 
> charter and any specific item progress. What do you think?

Why does the request have to come from SA2? And what harm do you see in the IETF sending an informative LS to 3GPP SA2? I fail to understand why there is a concern with sending such an LS.

Anyway, I think we have heard at least a couple of opinions about sending this LS. Will let our AD decide on the action.

-Raj

> There is no harm in sending the LS. It is informative. While SA2 can 
> just as well read the text of the Netext charter, we do have a channel 
> to provide such informative updates through liason statements and we are simply using that.
> 
> -Raj
> 
> 
>> If 3GPP is wondering what is the official status of this work in 
>> IETF, why don't they read the NETEXT charter?
>> 
>> Best,
>> 
>> --julien

---

From: "Laganier, Julien" <[email-masked]>
Date: Thu, 22 Apr 2010 12:55:27 -0700

Rajeev & Raj,

Koodli, Rajeev wrote:
> 
> apparently, they (SA2) have not followed the discussions in NetExt
> closely - I am not blaming them, I would not be able to follow either.
>

I am unsure about whether or not the SA2 WG and/or its participants _appear_ to follow closely or not NETEXT -- or any other specific topic, for that matter. 

I am however sure that SA2 is _factually_ aware that the NETEXT WG is working on flow mobility _because_ they have discussed a contribution (from Cisco BTW) that highlighted the fact that the NETEXT WG had been rechartered to work on flow mobility:

<ftp://ftp.3gpp.org/tsg_sa/WG2_Arch/TSGS2_78_San_Francisco/Report/>

It is also _factually_ official that the NETEXT WG is working on flow mobility _because_ it is stated on the NETEXT charter. 

> Do you have any comments about the content of the LS itself?

Let's not put the cart before the horses. We can discuss the content of the LS once we have determined whether there is a need to send an LS in the first place.

Best,

--julien

---

From: Jari Arkko <[email-masked]>
Date: Mon, 26 Apr 2010 21:13:32 +0300

Ahmad,

> I think we are setting a precedence here. I am not aware of IETF sending unsolicited LSes; but I could be wrong.

We do send many unsolicited liaison statements. For instance, when we 
wish to inform someone officially that something is happening, when we 
are worried about some development in some other SDO wrt IETF conflicts, 
etc.

(The only question is whether we are providing interesting information 
in this case. Basavaraj and Rajeev have told me that there is some 
unclarity about NETEXT's mission. I have not observed that myself, but I 
also do not have an issue in informing 3GPP of ongoing work.)

3GPP - IETF management teleconferences are another way to send messages, 
but they do not necessarily always have the right people in the call. 
E.g., SA2 chairs do not participate them IIRC. In any case, the regular 
teleconferences are typically held maybe a month before the IETF, so 
there's probably some time still for the next one.

The preferred method of informing other SDOs of ongoing work is joint 
participation, of course. We can supplement that with liaison statements 
and other tools where needed.

Jari

---

From: Ahmad Muhanna <[email-masked]>
Date: Mon, 26 Apr 2010 18:11:19 -0400

Jari,
Thanks for the clarification. Makes sense. Please see one comment inline.

Regards,
Ahmad
> > I think we are setting a precedence here. I am not aware of 
> IETF sending unsolicited LSes; but I could be wrong.
> >   
> 
> We do send many unsolicited liaison statements. For instance, 
> when we wish to inform someone officially that something is 
> happening, when we are worried about some development in some 
> other SDO wrt IETF conflicts, etc.
> 
> (The only question is whether we are providing interesting 
> information in this case. Basavaraj and Rajeev have told me 
> that there is some unclarity about NETEXT's mission. I have 
> not observed that myself, but I also do not have an issue in 
> informing 3GPP of ongoing work.)
[Ahmad]
It would have been more meaningful and much appreciated if the chairs based their views/feedback on the wg consensus rather than their own perception. At minimum, following this thread, I too have a hard time believe that there is unclarity about Netext's mission with respect to flow mobility at 3GPP SA2.

Regards,
Ahmad

> 
> 3GPP - IETF management teleconferences are another way to 
> send messages, but they do not necessarily always have the 
> right people in the call. 
> E.g., SA2 chairs do not participate them IIRC. In any case, 
> the regular teleconferences are typically held maybe a month 
> before the IETF, so there's probably some time still for the next one.
> 
> The preferred method of informing other SDOs of ongoing work 
> is joint participation, of course. We can supplement that 
> with liaison statements and other tools where needed.
> 
> Jari
> 
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 27 Apr 2010 07:19:29 -0700 (PDT)

I support sending this unsolicited LS to 3GPP.

Regards,

Behcet

----- Original Message ----
> From: Jari Arkko <[email-masked]>
> To: Ahmad Muhanna <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]>
> Sent: Mon, April 26, 2010 1:13:32 PM

> IETF sending unsolicited LSes; but I could be wrong.

We 
> do send many unsolicited liaison statements. For instance, when we wish to 
> inform someone officially that something is happening, when we are worried about 
> some development in some other SDO wrt IETF conflicts, etc.

(The only 
> question is whether we are providing interesting information in this case. 
> Basavaraj and Rajeev have told me that there is some unclarity about NETEXT's 
> mission. I have not observed that myself, but I also do not have an issue in 

3GPP - IETF management teleconferences 
> are another way to send messages, but they do not necessarily always have the 
> right people in the call. E.g., SA2 chairs do not participate them IIRC. In any 
> case, the regular teleconferences are typically held maybe a month before the 
> IETF, so there's probably some time still for the next one.

The preferred 
> method of informing other SDOs of ongoing work is joint participation, of 
> course. We can supplement that with liaison statements and other tools where 
> needed.

Jari

netext 
> mailing list

> href="mailto:[email-masked]">[email-masked]

> href="https://www.ietf.org/mailman/listinfo/netext" target=_blank

---

From: "Laganier, Julien" <[email-masked]>
Date: Tue, 27 Apr 2010 08:30:10 -0700

Jari,

Jari Arkko wrote:
> unclarity about NETEXT's mission. I have not observed that myself, but
> I also do not have an issue in informing 3GPP of ongoing work.)

I disagree that there is some unclarity about NETEXT's mission within SA2 WG as Cisco has provided to the SA2 WG an informational update highlighting the fact that the NETEXT had been rechartered to work on flow mobility, and that was discussed and noted. 

Also, to the extent that SA2 would indeed be unclear about NETEXT's mission (I don't think so but anyway) I do not believe that the draft LS on the table constitute an appropriate remedy to that unclarity.

--julien

---

From: Rajeev Koodli <[email-masked]>
Date: Tue, 27 Apr 2010 11:03:26 -0700

All,

> also do not have an issue in informing 3GPP of ongoing work.)

FYI: see the discussion around TD S2-101028 and TD S2-101699 in

http://www.3gpp.org/ftp/tsg_sa/WG2_Arch/TSGS2_78_San_Francisco/Report/S2_78_
Draft_Rep_v010.zip

This is not meant to debate the minutes of SA2 meeting here, but FYI. You
can see that there are *companies* arguing about the flow mobility work in
IETF. The LS is intended to provide an official Informative IETF statement
about the status of flow mobility work in IETF.

...............................

TD S2-101028 Proposed conclusion on MAPIM TR. This was introduced by
Qualcomm Incorporated. This document proposes a change in the conclusions of
the TR.

Discussion and conclusion:
Intel commented that the arguments given were in some cases biased and in
other cases technically wrong and noted that this had been proposed before
to SA WG2. Intel did not think the work on network-based solutions should be
stopped and the TR should remain open so that interested companies can
continue to contribute to solutions. NEC also commented that there was bias
and technical errors in the contribution and did not think companies with no
interest in network-based solutions should be able to block the work of
interested companies. Qualcomm Incorporated replied that there was no
intension to block work on network-based solutions, but highlighted that the
work done so far had not produced anything that can be feasibly deployed.
Nokia Siemens Networks commented that the analysis in this contribution was
considered accurate and that it is complex to include such functionality in
the terminal. Nokia Siemens Networks suggested waiting until adequate
progress has been made in the IETF and there is sufficient demand for this
from 3GPP member companies. R.I.M also supported this analysis from the
terminal viewpoint.
The SA WG2 Chairman commented that in order to do any normative work in this
area a new WID would need to be agreed, which did not appear likely at
present, but the TR could be left open. Companies were asked to continue to
discuss this issue off-line and this would not be given much SA WG2 meeting
time unless there is a breakthrough on the progress for this. This
contribution was then noted.

TD S2-101699 IETF Network-Based Flow Mobility Status Update. This was
introduced by Cisco Systems on behalf of Cisco Systems, Intel, Huawei, ZTE,
China Mobile and Samsung. Provides an update of recent activity in the IETF
in support of network based flow mobility.

Discussion and conclusion:
Telecom Italia commented that the use of this in 3GPP would depend upon 3GPP
operator support for PMIPv6, which has not been the case in recent
discussions. R.I.M commented that the timescales for the IETF work is also
not known and the TR should not be kept open awaiting the IETF protocol. NTT
DOCOMO commented that operators have an interest in IP Flow Mobility.
Qualcomm commented that the proposed charter for IETF work contains
milestones which are not included in this contribution and some of the
implications of this document are not accurate. This was provided for
information and was noted.

---

From: Rajeev Koodli <[email-masked]>
Date: Tue, 27 Apr 2010 11:06:41 -0700

Hi Julien,

As you point out, it was a contribution from *Cisco and others* that was
presented at noted. There was discussion. There was also a contribution from
Qualcomm which some companies thought was meant to close the work related to
flow mobility (with no specific solution for PMIP6) in 3GPP. There was
discussion about that as well. (See my other email for a reference to the
minutes, which you have probably already seen)

It is exactly this kind of back-and-forth about the status of flow mobility
work in NetExt this LS is trying to address, by providing an official IETF
LS, rather than company contributions.

You have made your point pretty clear, as before, about your opposition.
And, your point is noted.

Thanks,

-Rajeev

On 4/27/10 8:30 AM, "Laganier, Julien" <[email-masked]> wrote:

> I disagree that there is some unclarity about NETEXT's mission within SA2 WG
> as Cisco has provided to the SA2 WG an informational update highlighting the
> fact that the NETEXT had been rechartered to work on flow mobility, and that
> was discussed and noted.
> 
> Also, to the extent that SA2 would indeed be unclear about NETEXT's mission (I
> don't think so but anyway) I do not believe that the draft LS on the table
> constitute an appropriate remedy to that unclarity.
> 
> --julien

---

From: "Laganier, Julien" <[email-masked]>
Date: Tue, 27 Apr 2010 12:38:53 -0700

Rajeev,

IMHO it is misleading that you are quoting parts of a 3GPP report out of context. The 3GPP contribution from Qualcomm was not meant to close the work related to flow mobility, it was meant to close a 3GPP study item that has already been ongoing for more than one year, and all 3GPP study items are meant to conclude.

Also, this proposal was justified by a 3GPP-centric technical analysis (e.g., in terms of initiating endpoint, network/operator control, network/terminal impact), and thus unrelated to the status of the flow mobility work in the IETF. You referring to this discussion as a "kind of back-and-forth about the status of flow mobility work in NetExt" supposedly lead by Qualcomm is thus factually incorrect and inappropriate.

Please also note that I have commented that the current content of LS is inappropriate.

Thank you.

--julien

Rajeev Koodli wrote:
> 
> Hi Julien,
> 
> As you point out, it was a contribution from *Cisco and others* that
> was presented at noted. There was discussion. There was also a contribution
> from Qualcomm which some companies thought was meant to close the work
> related to flow mobility (with no specific solution for PMIP6) in 3GPP.
> There was discussion about that as well. (See my other email for a reference to
> the minutes, which you have probably already seen)
> 
> It is exactly this kind of back-and-forth about the status of flow
> mobility work in NetExt this LS is trying to address, by providing an official
> IETF LS, rather than company contributions.
> 
> information

---

From: Frank Xia <[email-masked]>
Date: Tue, 27 Apr 2010 14:56:05 -0500

Hi Chairs and Jari

It is a good idea to send this to 3GPP.

As far as I remember, there was a long debate in 

Netext regarding flow mobility for PMIP.

Some 3GPP colleagues also attended.

This email can serve as a clarification or 

summarization.  The community as a whole 

needs a clear directional signal.

BR

Frank

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Rajeev Koodli
Sent: Monday, April 19, 2010 2:32 PM
To: [email-masked]
Subject: [netext] Liaison Statement on Flow Mobility to 3GPP

FYI..Jari and the chairs are planning to send the following LS to 3GPP
informing them of NetExt's work on Flow Mobility.
Please provide comments, if any..

Thanks,

-Rajeev

April 14, 2010
 
To: 3GPP SA2

1.    Initial WG document(s) on Proxy Mobile IPv6 Extensions to Support Flow
Mobility and Inter-access Handovers on a Logical Interface over Multiple
Physical Interfaces - Oct 2010  

Best Regards,

---

From: Rajeev Koodli <[email-masked]>
Date: Tue, 27 Apr 2010 13:03:23 -0700

Julien,

You can see the minutes for yourself in the other email. You can also see
the discussion about flow mobility there.

On 4/27/10 12:38 PM, "Laganier, Julien" <[email-masked]> wrote:

> Rajeev,
> 
> IMHO it is misleading that you are quoting parts of a 3GPP report out of
> context. The 3GPP contribution from Qualcomm was not meant to close the work
> related to flow mobility, it was meant to close a 3GPP study item that has
> already been ongoing for more than one year, and all 3GPP study items are
> meant to conclude.
> 
> Also, this proposal was justified by a 3GPP-centric technical analysis (e.g.,
> in terms of initiating endpoint, network/operator control, network/terminal
> impact), and thus unrelated to the status of the flow mobility work in the
> IETF. You referring to this discussion as a "kind of back-and-forth about the
> status of flow mobility work in NetExt" supposedly lead by Qualcomm is thus
> factually incorrect and inappropriate.
>

---

From: "Laganier, Julien" <[email-masked]>
Date: Tue, 27 Apr 2010 13:08:45 -0700

Rajeev,

Rajeev Koodli wrote:
> 
> Julien,
> 
> You can see the minutes for yourself in the other email. You can also
> see the discussion about flow mobility there.

In case I wasn't clear enough -- In my previous message I was specifically referring to that other email of yours quoting parts of a 3GPP report out of context.

--julien

> > IMHO it is misleading that you are quoting parts of a 3GPP report out
> > of context. The 3GPP contribution from Qualcomm was not meant to close
> > the work related to flow mobility, it was meant to close a 3GPP study
> > item that has already been ongoing for more than one year, and all 3GPP
> > study items are meant to conclude.
> >
> >> There was discussion about that as well. (See my other email for a
> reference
> >> to
> >> mobility work in NetExt this LS is trying to address, by providing
> an
> >> official
> >>> I disagree that there is some unclarity about NETEXT's mission
> within
> >> SA2 WG
> >>> don't think so but anyway) I do not believe that the draft LS on
> the
> >> table

---

From: Rajeev Koodli <[email-masked]>
Date: Tue, 27 Apr 2010 13:27:48 -0700

Julien,

the discussion below on S2-101028 refers to the "MAPIM" work.
In the SA2 minutes, it is covered under:

"9.10 Study on Multi Access PDN connectivity and IP flow mobility
(FS_MAPIM)"

Here is the MAPIM work reference:
http://www.3gpp1.net/ftp/Specs/html-info/23861.htm

23.861 TOC:

7.. Solutions for multi access PDN connectivity and IP flow mobility.. 13
7.1......... IP flow mobility solutions for S2c/H1 (DSMIPv6)......... 13
7.1.1.... Solution A: Routeing filters in DSMIPv6.... 13
7.1.1.1............ Overview........... 13
7.1.1.2............ DSMIPv6 enhancements........... 14
7.1.1.3............ PCC Enhancements........... 14
7.1.1.4............ Flows........... 15
7.1.1.4.1....... General....... 15
7.1.1.4.2....... Addition of one access to the PDN connection....... 15
7.1.1.4.3....... IP flow mobility....... 17
7.1.1.4.4....... Removal of one access from the PDN connection....... 18
7.1.1.4.5....... Addition of one access for multiple PDN connections to the
same APN....... 19
7.1.1.5............ Routeing Filters........... 19
7.2......... IP flow mobility solutions for S2a (PMIPv6)......... 19
7.2.1.... Solution A: Routeing filters in PMIPv6.... 19
7.2.1.2............ Addition of one access to the PDN connection...........
19
7.2.1.3............ IP flow mobility........... 21
7.2.1.4............ Detaching from an Access........... 22

[so on..]

I see flow mobility in the TOC above.

What we are trying to do is to provide an Informative official LS from
NetExt. As I have said, you have made your position on this (and the flow
mobility work in general) very clear, and it is noted.

Thank you.

-Rajeev

..............................

---

From: Hidetoshi Yokota <[email-masked]>
Date: Wed, 28 Apr 2010 17:09:04 +0900

Hi all,

Thanks, Rajeev. I started to realize what's behind this discussion...

In S2-101028, the bottom line proposal is:

"The study on possible extensions to S2a, S2b, S2c and H1 reference
points can be considered concluded with the solution in section 7.1.1
being the recommended solution."

This means that not only S2c, but also S2a and S2b should use DSMIPv6
solution, which is not what NetExt WG is currently tackling.

Also,

"Conclusion 7: ... Additionally, the changes involved are either
currently unspecified by the SDO in charge (IETF), ..."

This could give a wrong impression that IETF doesn't do anything on it.
I think this LS is worth sending to 3GPP to officially inform them that
"the changes involved" is being actively discussed to specify in a
pragmatic manner.

Just my 2 cents,
-- 
Hidetoshi

(2010/04/28 5:27), Rajeev Koodli wrote:
> On 4/27/10 12:38 PM, "Laganier, Julien"<[email-masked]>  wrote:
> 
>> Rajeev,
>>
>>> On 4/27/10 8:30 AM, "Laganier, Julien"<[email-masked]>  wrote:
>>>
>>>> Jari,
>>>>
>>>> Jari Arkko wrote:
>>>>>

---

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 28 Apr 2010 16:22:34 -0700

Hello Hidetoshi,

> Thanks, Rajeev. I started to realize what's behind this discussion... 

[...]

> currently unspecified by the SDO in charge (IETF), ..."

I really wish we would stop to quote text from external organizations out of context. At minimum the beginning of the sentence you have excerpted should be quoted. It read:

"Conclusion 7: Inter-system network-based mobility protocols do require changes to the terminal. Additionally, the changes involved are either currently unspecified by the SDO in charge (IETF), [...]"
 
> I think this LS is worth sending to 3GPP to officially inform them 
> that "the changes involved" is being actively discussed to specify in 
> a pragmatic manner.

As far as I can tell reading the NETEXT WG charter:

  [...] The specification of any actual link
  layer mechanisms is outside the scope of the working group [...]

  The work in this charter is entirely internal to the network and does
  not affect host IP stack operation in any way (except perhaps through
  impacting packet forwarding capacity visible to the hosts). The working
  group is not allowed to specify new IP layer protocol mechanisms to
  signal mobility related events between the host and the network.
 
So it is a fact that changes to the terminal are not specified by the IETF, and I do not know what is wrong in giving that impression.

On the other hand, I think sending an LS to 3GPP that only quotes a one line milestone of our charter WITHOUT any of the context describing what the milestone is about could give to 3GPP the wrong impression that the IETF is fully specifying inter-access network-based mobility, including changes to the link and/or IP layers, while it is factually not the case.

Thank you.

--julien

---

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 28 Apr 2010 08:24:06 -0700

Hello Hidetoshi,

[...]

 

 

Thank you.

--julien

---

From: Hidetoshi Yokota <[email-masked]>
Date: Fri, 30 Apr 2010 09:24:08 +0900

Hi Julien,

> "Conclusion 7: Inter-system network-based mobility protocols do require changes to the terminal. Additionally, the changes involved are either currently unspecified by the SDO in charge (IETF), [..…

Sorry, I didn't mean to ignore the first part, but just tried to
highlight the intended one.

> So it is a fact that changes to the terminal are not specified by the IETF, and I do not know what is wrong in giving that impression.

I think that's where a logical interfaces comes in. A logical (or
virtual) interface does not necessarily change the host IP stack.
Leveraging that small bump, we may be able to provide multi-homing,
inter-tech HO and flow mobility. I would rather like to give an
impression to other SDOs that IETF is striving to come up with a good
solution for it, so don't blame it on us for the moment:-)

> On the other hand, I think sending an LS to 3GPP that only quotes a one line milestone of our charter WITHOUT any of the context describing what the milestone is about could give to 3GPP the wrong…

My very first question to the ML may be related to this, but it seems
3GPP folks would know what they should do. Also, I think this type of LS
should be as much simple as possible. If you add something, people  will
start speculating. Probably it would be best and safest to excerpt from
the approved charter. I'm not against adding some explanation if really
needed, though.

Regards,
-- 
Hidetoshi